Bug 1715094 - [OSP15] Add ability to override libvirt NFS mount options for NFS backed Cinder volumes
Summary: [OSP15] Add ability to override libvirt NFS mount options for NFS backed Cind...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-nova
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: beta
: 15.0 (Stein)
Assignee: Martin Schuppert
QA Contact: Archit Modi
URL:
Whiteboard:
Depends On: 1650949
Blocks: 1715096
TreeView+ depends on / blocked
 
Reported: 2019-05-29 14:47 UTC by Martin Schuppert
Modified: 2019-09-26 10:51 UTC (History)
11 users (show)

Fixed In Version: puppet-nova-14.4.1-0.20190529171754.f30766c.el8ost
Doc Type: Bug Fix
Doc Text:
In Red Hat OpenStack Platform 15, you are now able to customize libvirt NFS mount options for Block Storage service (cinder) volumes, using the configuration setting, nfs_mount_options. Here is an example: parameter_defaults: ComputeExtraConfig: nova::compute::libvirt::nfs_mount_options: "vers=4.2,lookupcache=pos"
Clone Of: 1650949
: 1715096 (view as bug list)
Environment:
Last Closed: 2019-09-21 11:22:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1803839 0 None None None 2019-05-29 14:47:49 UTC
OpenStack gerrit 661908 0 None None None 2019-05-29 14:47:49 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:22:55 UTC

Description Martin Schuppert 2019-05-29 14:47:49 UTC
+++ This bug was initially created as a clone of Bug #1650949 +++

It would be requested to have the option to modify the 'nfs_mount_options' in the [libvirt] section of the nova.conf during the overcloud deployment.

~~~
[libvirt]
# Mount options passed to the NFS client. See section of the nfs man page
# for details.
#
# Mount options controls the way the filesystem is mounted and how the
# NFS client behaves when accessing files on this mount point.
#
# Possible values:
#
# * Any string representing mount options separated by commas.
# * Example string: vers=3,lookupcache=pos
#  (string value)
#nfs_mount_options=<None>
~~~

I could not find this parameter within THT or the openstack-puppet modules.


Cheers,
Marc Methot

Comment 11 errata-xmlrpc 2019-09-21 11:22:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.